## GnomeDbCanvasColumn GnomeDbCanvasColumn |

## Synopsis

                        GnomeDbCanvasColumn;
                        GnomeDbCanvasColumnClass;
    GooCanvasItem*      gnome_db_canvas_column_new          (GooCanvasItem *parent,
                                                             GdaMetaTableColumn *column,
                                                             gdouble x,
                                                             gdouble y,
                                                             ...);
    GdaMetaTableColumn * gnome_db_canvas_column_get_column  (GnomeDbCanvasColumn *column);
    GnomeDbCanvasTable * gnome_db_canvas_column_get_parent_item
                                                            (GnomeDbCanvasColumn *column);

## Object Hierarchy

      GObject
       +----GooCanvasItemSimple
             +----GooCanvasGroup
                   +----GnomeDbCanvasItem
                         +----GnomeDbCanvasText
                               +----GnomeDbCanvasColumn

## Implemented Interfaces

GnomeDbCanvasColumn implements GooCanvasItem.

## Properties

      "column"                   gpointer              : Read / Write

## Description

## Details

### GnomeDbCanvasColumn

    typedef struct _GnomeDbCanvasColumn GnomeDbCanvasColumn;

### GnomeDbCanvasColumnClass

    typedef struct {
    	GnomeDbCanvasTextClass     parent_class;
    } GnomeDbCanvasColumnClass;

### gnome_db_canvas_column_new ()

    GooCanvasItem*      gnome_db_canvas_column_new          (GooCanvasItem *parent,
                                                             GdaMetaTableColumn *column,
                                                             gdouble x,
                                                             gdouble y,
                                                             ...);

Creates a new GnomeDbCanvasColumn object

`parent` : | the parent item, or `NULL`
`column` : | the represented entity's column
`x` : | the x coordinate of the text
`y` : | the y coordinate of the text
`...` : | optional pairs of property names and values, and a terminating `NULL`.
Returns : |

### gnome_db_canvas_column_get_column ()

    GdaMetaTableColumn * gnome_db_canvas_column_get_column  (GnomeDbCanvasColumn *column);

Get the GdaMetaTableColumn which `column` represents

`column` : | a GnomeDbCanvasColumn object
Returns : | the object implementing the GdaMetaTableColumn interface

### gnome_db_canvas_column_get_parent_item ()

    GnomeDbCanvasTable * gnome_db_canvas_column_get_parent_item
                                                            (GnomeDbCanvasColumn *column);

Get the GnomeDbCanvasTable in which `column` is

`column` : | a GnomeDbCanvasColumn object
Returns : | the GnomeDbCanvasTable in which `column` is, or `NULL`

## Property Details

### The `"column"` property

      "column"                   gpointer              : Read / Write